import QtQuick 2.9
import QtQuick.Window 2.2

Window {
    id: window
    visible: true
    width: 640
    height: 480
    title: qsTr("PathView Sample")

    MyPathView {
        anchors.centerIn: parent
    }

    Rectangle {
        id: layer

        anchors.fill: parent
        color: "red"
        opacity: 0.0
    }

    Connections {
        target: support
        onStateChanged: {
            layer.opacity = state ? 0.5 : 0.0
        }
    }
}
