#ifndef SUPPORT_H
#define SUPPORT_H

#include <QThread>
#include <QQmlApplicationEngine>

class Support : public QThread
{
    Q_OBJECT

public:
    Support(QQmlApplicationEngine* engine, QObject* parent=nullptr);
    ~Support() Q_DECL_OVERRIDE;

Q_SIGNALS:
    void stateChanged(bool state) const;
    void ungrabMouse();

protected:
    void run() override;

public Q_SLOTS:
    void wakeup();

private:
    bool state;
    QQmlApplicationEngine* m_engine;
};

#endif // SUPPORT_H
